Package twisted :: Package spread :: Module flavors :: Class Root

[frames | no frames]

## Class Root

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       Root

Known Subclasses:
  `AuthRoot`, `ResourcePublisher`

I provide a root object to `pb.Broker`s for a `pb.BrokerFactory`.

When a `pb.BrokerFactory` produces a `pb.Broker`, it supplies that `pb.Broker` with an object named "root". That object is obtained by calling my rootObject method.

See also: `pb.getObjectAt`

Method Summary
| ``rootObject`(self, broker)` A `pb.BrokerFactory` is requesting to publish me as a root object.
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.spread.flavors.IPBRoot ...`
Inherited from Referenceable
`NoneType` | `perspective` = None

Method Details

### rootObject(self, broker)

A `pb.BrokerFactory` is requesting to publish me as a root object.

When a `pb.BrokerFactory` is sending me as the root object, this method will be invoked to allow per-broker versions of an object. By default I return myself.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.spread.flavors.IPBRoot at 0x844e5fc>,)

Generated by Epydoc 2.0 on Sat May 15 20:08:42 2004 | http://epydoc.sf.net